'use strict';

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var objectWithoutProperties = function (obj, keys) {
  var target = {};

  for (var i in obj) {
    if (keys.indexOf(i) >= 0) continue;
    if (!Object.prototype.hasOwnProperty.call(obj, i)) continue;
    target[i] = obj[i];
  }

  return target;
};

var EmpathizeFillIcon = function EmpathizeFillIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === undefined ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === undefined ? 24 : _ref$size;
      _ref.children;
      var props = objectWithoutProperties(_ref, ['color', 'size', 'children']);

  var finalClassName = 'remixicon-icon';

  if (props.className) {
    finalClassName += ' ' + props.className;
  }

  return React__default["default"].createElement(
    'svg',
    _extends({}, props, { className: finalClassName, 'data-icon-name': 'EmpathizeFillIcon', width: size, height: size, fill: color, viewBox: '0 0 24 24' }),
    React__default["default"].createElement('path', { d: 'M18.364 10.98c1.562 1.561 1.562 4.094 0 5.656l-5.657 5.657c-.39.39-1.024.39-1.414 0l-5.657-5.657c-1.562-1.562-1.562-4.095 0-5.657 1.562-1.562 4.095-1.562 5.657 0l.706.707.708-.707c1.562-1.562 4.095-1.562 5.657 0zM12 1c2.21 0 4 1.79 4 4s-1.79 4-4 4-4-1.79-4-4 1.79-4 4-4z' })
  );
};

var EmpathizeFillIcon$1 = React__default["default"].memo ? React__default["default"].memo(EmpathizeFillIcon) : EmpathizeFillIcon;

module.exports = EmpathizeFillIcon$1;
