'use strict';

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var objectWithoutProperties = function (obj, keys) {
  var target = {};

  for (var i in obj) {
    if (keys.indexOf(i) >= 0) continue;
    if (!Object.prototype.hasOwnProperty.call(obj, i)) continue;
    target[i] = obj[i];
  }

  return target;
};

var RotateLockLineIcon = function RotateLockLineIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === undefined ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === undefined ? 24 : _ref$size;
      _ref.children;
      var props = objectWithoutProperties(_ref, ['color', 'size', 'children']);

  var finalClassName = 'remixicon-icon';

  if (props.className) {
    finalClassName += ' ' + props.className;
  }

  return React__default["default"].createElement(
    'svg',
    _extends({}, props, { className: finalClassName, 'data-icon-name': 'RotateLockLineIcon', width: size, height: size, fill: color, viewBox: '0 0 24 24' }),
    React__default["default"].createElement('path', { d: 'M12 2c5.523 0 10 4.477 10 10 0 2.136-.67 4.116-1.811 5.741L17 12h3a8 8 0 1 0-2.46 5.772l.998 1.795A9.961 9.961 0 0 1 12 22C6.477 22 2 17.523 2 12S6.477 2 12 2zm0 5a3 3 0 0 1 3 3v1h1v5H8v-5h1v-1a3 3 0 0 1 3-3zm2 6h-4v1h4v-1zm-2-4a1 1 0 0 0-.993.883L11 10v1h2v-1a1 1 0 0 0-.883-.993L12 9z' })
  );
};

var RotateLockLineIcon$1 = React__default["default"].memo ? React__default["default"].memo(RotateLockLineIcon) : RotateLockLineIcon;

module.exports = RotateLockLineIcon$1;
